org.springframework.dao

## Class DataAccessResourceFailureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.dao.DataAccessException
          - - org.springframework.dao.NonTransientDataAccessException
            - - org.springframework.dao.NonTransientDataAccessResourceException
              - - org.springframework.dao.DataAccessResourceFailureException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CannotCreateRecordException, CannotGetCciConnectionException, CannotGetJdbcConnectionException, JdoResourceFailureException

    public class DataAccessResourceFailureException
    extends NonTransientDataAccessResourceException

Data access exception thrown when a resource fails completely: for example, if we can't connect to a database using JDBC.

Author:
  Rod Johnson, Thomas Risberg
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DataAccessResourceFailureException(String msg)` Constructor for DataAccessResourceFailureException.
`DataAccessResourceFailureException(String msg, Throwable cause)` Constructor for DataAccessResourceFailureException.

### Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DataAccessResourceFailureException

    public DataAccessResourceFailureException(String msg)

Constructor for DataAccessResourceFailureException.

Parameters:
  `msg` - the detail message

#### DataAccessResourceFailureException

    public DataAccessResourceFailureException(String msg,
                                      Throwable cause)

Constructor for DataAccessResourceFailureException.

Parameters:
  `msg` - the detail message
  `cause` - the root cause from the data access API in use